TAAS - Feature #215

Document Query

06/27/2023 08:53 PM - Junaid M

Status: Reopen Bugs Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Document Query

Description

Coding Document Query

History

#1 - 07/13/2024 03:48 PM -

GUI Changes:-
-> NO data then hide tabs

—-> Tab Order

General Tab

Sub Documents
Supporting Documents
Posting

Settlement

Anil KV

Attachment -> Ref Account Query
Notes[New tab -> Table Columns ref Document Note]

Related Documents
Log

#2 - 07/13/2024 03:56 PM -

General Tab:-

—Label Table
Document

Doc Date

Branch

Cash Counter

Posting Status
Document Status
Party

Amount [With Currency
Narration [Span]
Created By[With Date
Delete Reason

Anil KV

Code]

and Time]

Responsible User/Employee

#3 - 07/13/2024 04:06 PM -

Sub Documents:-

—-> Table Columns

Anil KV

File No
Enquiry No
Department
Cost Center

Posting Approved By[With Date and Time]

Document Approved By[With Date and Time]

Sub Customer
Reference

Modified By [With Date and Time and No of modified]
Document Action[Added/Edited/Deleted]

Document Locked

# | Doc No | Doc Date | Currency | Amount | ROE | Amouni In [Basel]

->SQL:—
SELECT

FROM document.tbl_documents
WHERE vhr_main_document_no = [Input Document]

ORDER BY date

05/03/2025
#4 - 07/13/2024 04:24 PM - Anil KV

Supporting Documents:-

—> Table Columns

# | Ticket/Voucher | Issue Date | Service | Pax | Currency | Cost| Price|
->SQL: -
SELECT
FROM FROM airticket.tbl_ticket tkt
LEFT JOIN service.tbl_supp_doc_no supp
ON tkt.fk_supp_doc_no_id = supp.pk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare suppfare
ON tkt.fk_ticket_cus_ledg_fare_id = suppfare.pk_supp_doc_fare_id
WHERE supp.vhr_invoice_doc_no = [Input Document] OR supp.vhr_refund_doc_no
UNION ALL

SELECT

FROM FROM hotel.tbl_hotel hotel

LEFT JOIN

service.tbl_supp_doc_no supp

ON hotel.fk_supp_doc_no_id = supp.pk_supp_doc_no_id

LEFT JOIN service.tbl_supp_doc_fare suppfare
ON hotel.fk_hotel_cus_ledg_fare_id = suppfare.pk_supp_doc_fare_id
WHERE supp.vhr_invoice_doc_no = [Input Document] OR supp.vhr_refund_doc_no
UNION ALL

ORDER BY date

#5 - 07/13/2024 04:27 PM - Anil KV

Posting:-

—-> Table Columns
*Check View Posting Details

->SQL:—
SELECT

mt.fk_main_ledger_id,
mt.vhr_ledg_currency,
mt . fk_documents_id,
mt.fk_ledger_id,
mt.pk_transaction_id,
mt.dat_transaction,

mt . fk_sub_ledger_id,
mt.dbl_ledg_cur_debit,

mt.dbl_ledg_
mt .vhr_base_.
mt .dbl_base_.
mt .dbl_base_.
mt .vhr_cons_.
mt .dbl_cons_
mt.dbl_cons_.

cur_credit,
currency,
cur_debit,
cur_credit,
currency,
cur_debit,
cur_credit,

mt .vhr_reference,
mt.txt_narration,
mt.txt_build_narration,
doc.vhr_document_no,
mt.fk_branch_id,

mt . fk_department_id,
mt.sin_transaction_status,
mt.sin_group_id,
supp.vhr_supp_doc_no,
ac.vhr_account_code,
ac.vhr_account_name,
br.vhr_branch_code,
br.vhr_branch_name,
dp.vhr_department_code,
dp.vhr_department_name,

ca.vhr_code,
ca.vhr_name,

''" AS vhr_linked_docs

05/03/2025

Profit

= [Input Document]

= [Input Document]
FROM
transaction.tbl_transaction AS mt

LEFT JOIN document.tbl_documents AS doc ON mt.fk_documents_id = doc.pk_documents_id
LEFT JOIN accounts.tbl_account AS ac ON mt.fk_ledger_id = ac.pk_account_id
LEFT JOIN accounts.tbl_chart_of_ac AS ca ON mt.fk_main_ledger_id = ca.pk_chart_of_ac_id

LEFT JOIN service.tbl_supp_doc_no AS supp ON supp.pk_supp_doc_no_id = mt.fk_supp_doc_no_id

LEFT JOIN organization.tbl_branch AS br ON mt.fk_branch_id

br.pk_branch_id

LEFT JOIN organization.tbl_department AS dp ON mt.fk_department_id = dp.pk_department_id

WHERE

doc.int_sys_action_id != -1

——AND mt.sin_posting_status =1 2?7

——AND mt.sin_document_status = 1 ?2?27?

AND mt.sin_transaction_status = 1

AND UPPER (doc.vhr_document_no) = UPPER(CAST('?' AS VARCHAR))
ORDER BY

mt .dat_transaction ASC

#6 - 07/13/2024 04:37 PM - Anil KV

Settlement:-

—> Account Wise Grouping
-> Table Columns

Document No | Date | Currency | Debit | Credit | Matched Amount | Outstanding |

—>S0h 8=

SELECT

doc.vhr_document_no,

doc.dat_document,

tr.vhr_ledg_currency,

tr.dbl_ledg_cur_debit,

tr.dbl_ledg_cur_credit,

st.dbl_ledg_cur_matched,

tr.dbl_ledg_cur_outstanding,

tr.vhr_reference,

tr.txt_narration,

tr.fk_ledger_id,

ac.vhr_account_code,

ac.vhr_account_name,

'Dr' AS vhr_type
FROM settlement.tbl_settlement AS st
LEFT JOIN transaction.tbl_transaction AS tr

ON st.fk_transaction_dr_id = tr.pk_transaction_id
LEFT JOIN document.tbl_documents AS doc

ON doc.pk_documents_id = st.fk_documents_dr_id
LEFT JOIN accounts.tbl_account AS ac

ON tr.fk_ledger_id = ac.pk_account_id
WHERE fk_documents_dr_id = (

SELECT pk_documents_id FROM document.tbl_documents WHERE
' —— Doc No Input
)

UNION ALL

SELECT
doc.vhr_document_no,
doc.dat_document,
tr.vhr_ledg_currency,
tr.dbl_ledg_cur_debit,
tr.dbl_ledg_cur_credit,
st.dbl_ledg_cur_matched,
tr.dbl_ledg_cur_outstanding,
tr.vhr_reference,
tr.txt_narration,
tr.fk_ledger_id,
ac.vhr_account_code,
ac.vhr_account_name,
'Cr' AS vhr_type
FROM settlement.tbl_settlement AS st
LEFT JOIN transaction.tbl_transaction AS tr
ON st.fk_transaction_cr_id = tr.pk_transaction_id
LEFT JOIN document.tbl_documents AS doc
ON doc.pk_documents_id = st.fk_documents_cr_id
LEFT JOIN accounts.tbl_account AS ac

05/03/2025

int_sys_action_id

Reference | Narration

!= -1 AND vhr_document_no
ON tr.fk_ledger_id = ac.pk_account_id
WHERE fk_documents_cr_id = (

SELECT pk_documents_id FROM document.tbl_documents WHERE int_sys_action_id != -1 AND vhr_document_no = '?
—— Doc No Input

)

Settlement->Settled Tab sgl - Discuss Junide

#7 - 07/13/2024 04:42 PM - Anil KV

Related Documents:-

—-> Table Columns
# | Doc No | Doc Date | Currency | Amount | ROE | Amount In [Basel] | Created By | Reference | Narration
->SQL:—
SELECT
doc2...
trf...
FROM transaction.tbl_transaction_references trf
INNER JOIN transaction.tbl_transaction tr
ON
INNER JOIN document.tbl_documents docl
ON tr.fk_documents_id = docl.pk_documents_id
INNER JOIN document.tbl_documents doc2
ON trf.fk_record_ref_doc_id = doc2.pk_documents_id
WHERE docl.vhr_main_document_no = [Input Document]

UNION

SELECT
doc2...
(BIBE o o o
FROM tbl_rec_cheque_details trf
INNER JOIN transaction.tbl_transaction tr
ON
INNER JOIN document.tbl_documents docl
ON tr.fk_documents_id = docl.pk_documents_id
INNER JOIN document.tbl_documents doc2
ON trf.fk_record_ref_doc_id = doc2.pk_documents_id
WHERE docl.vhr_main_document_no = [Input Document]

UNION

SELECT
CRE20 o o
trf...
FROM tbl_paid_cheque_details trf
INNER JOIN transaction.tbl_transaction tr
ON
INNER JOIN document.tbl_documents docl
ON tr.fk_documents_id = docl.pk_documents_id
INNER JOIN document.tbl_documents doc2
ON trf.fk_record_ref_doc_id = doc2.pk_documents_id
WHERE docl.vhr_main_document_no = [Input Document]

ORDER BY date

#8 - 07/13/2024 05:00 PM - Anil KV
Log :-

—-> Table Columns

# | Date | Party | Currency | Amount | ROE | Amount In [Basel] | Action Date| Action | User
=808 =

SELECT

FROM tbl_documents_log
WHERE fk_documents_id = [Input]

ORDER BY pk_documents_log_id

#9 - 07/13/2024 05:19 PM - Anil KV

05/03/2025 4/14



- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#10 - 07/31/2024 04:30 PM - Anil KV

- Assignee changed from travvise Admin to Bertin Joseph

#11 - 08/09/2024 10:10 AM - Bertin Joseph
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#12 - 08/22/2024 11:03 AM - Bertin Joseph
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#13 - 08/22/2024 02:57 PM - unnikannan S
- Status changed from Coding Done to Testing Started

#14 - 08/22/2024 03:59 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Fixed - Add Red Star On Doc No

2.Show Deleted Doc Data Highlight As Red

3.Fix Bugs On Tool Bars In Grid

4 Fixed - Currency Code Allign As Side

5.Fixed - Clear Default Columns From Modified By And Cost Centre

#15 - 08/23/2024 03:08 PM - Arathy PS
ISSUE FOUND

1)FIXED - Posting status approved by and document status approved data not showing(ID not receiving )
2)FIXED - Deleted attachment is also showing in the table

3)FIXED - Responsible user/employee data not showing

4)FIXED - Document locked status not changing after unlocking

5)FIXED - In print of attachment tab 'type' is not showing

6)FIXED - Related documents print change ticket/voucher number to doc no:

#16 - 10/02/2024 10:28 AM - Anonymous

- Assignee changed from Bertin Joseph to Sreeranjini T

#17 - 10/09/2024 11:51 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 10/09/2024 07:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Add Expand/Collapse Button In (Settlement Grid)
2.Correct Currency Code Allign On Log Tab

#19 - 10/10/2024 10:26 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/03/2025
#20 - 10/25/2024 11:11 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

2. FIXED - when loading a document supported documents shows the same ticket/voucher repeatedly
steps:1.load the sale invoice in document query
steps:2.refund the ticket and load the sale invoice again in document query and check the supported documents

3. Error When enter a invalid document number.
4.FIXED - Place the reset button above new.

#21 - 10/26/2024 12:57 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 11/12/2024 02:59 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#23 - 11/14/2024 03:50 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)DOCUMENT MODIFIED DATE IS NOT UPDATING CORRECTLY ON ACTION DATE IN LOG TAB

#24 - 11/19/2024 05:31 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 11/23/2024 01:25 PM - Arathy PS

- File clipboard-202411231325-97kdk.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Wrong currency data in the log.
2. No need to show document itself in the sub document field.

3. In the log tab Roe value not changing when used another currency in the document.

Document Query

General SubDocument Posting  Note  log

New

va® 2 e (2B

# Date Party Currency Amount ROE Amount In (QAR) | Action Date Action Action User

1 23/11/2024 BNKOD1: ICICI BANK QAR 1000.00 100 1000.00 | 23/11/2024 Created
23/11/2024 BNKOO1:: ICICI BANK QAR 1000.00 1.00 1000.00 | 23/11/2024 Modified

3 23/11/2024 BNKOD1: ICICI BANK QAR 1000.00 1.00 1000.00 | 23/11/2024 Modified

4 23/11/2024 BNKOD1: ICICI BANK QAR 500.00 1.00 500.00 | 23/11/2024 Modified

#26 - 11/26/2024 10:54 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#27 - 11/26/2024 10:55 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#28 - 11/27/2024 03:21 PM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 12/03/2024 10:40 AM - Theja Ponon
- File clipboard-202412031040-n2g4l.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)ERROR ON UPDATING THE NOTE

»orting

POO01: jsnSpOutRes: "sinSglCustomStatus” : -1, "striglCustomStatusCode” - "ERRCR”, “striglCustombdessage” - "DocumentMote Save Failed”, "strSqiCustomErrorType”™ | “DATABASE_SYSTEM_ERROR", b4
“straglCustornEmorCode™ : null, “strSgiyshessage” : “jsnSglRes [\'sinSgiCustomStatusy” : -1, \'stroghCustomStatusCodel” : VERRORY”, V'strigiCustomMessage’,” : \"DocumnentMote Save Failedy”,

Y stroglCustemErrorTypel” - ' DATABASE_SYSTEM_ERRORY", \ "strSqlCustomErrorCodel” - null, % "striglSyshieszagel” : Yinsert or updste on table \W\"tbl_document_notesiy," violates foreign key constraint
WAthl_doournent_notes_fic_documents_id_flkey®\\ ", | strSglSysExceptionDetaily” 1 \"Key (fi_documents_id)=(D) is not present in table VW th_documents\i 7, YstrSgl SysExceptionHinty " - VSGL
statement Y "UPDATE document.thl_doosment_notes SET \\rin fk_documents_jid = CAST{jsnDocumentMotes-> >'binDocumentid” AS BIGIMT),\ir\vn dat_date = CAST{jsnDocumentMotes- > > datDate’ AS
DATE)\hrihn tet_note = jsnDocumentMotes-» >'striote’\wriin bd_note_with_tag = jsnDocumentMotes- > »'strioteWithTag” \Wrihn dat_expiry = CAST(jsnDocumentMotes- > >'datExpiry’ AS DATEL\Wrihn
arb_fk_showing user_ids = STRING_TO_ARRAY(jsnDocumentiotes- > > strDbArFkShowingUserlds’, °. JzBIGINT[L \WAhn sin_status = CAST(jsnDocumentiMotes- > > 'sinStatus’ AS SMALLINT) AR sin_active
= CAST{jsnDocumentilotes- > > 'sinActive’ A% SMALLINT).Ywrin sin_show_in_gui = CAST(jsnDocumentMotes-> » ‘sinShowlnGui' AS SMALLINT)\\riin ars_reminder_via =
STRIMG_TO_ARRAY{snDocumentiotes- » > strObArsReminderyia’, . 1-SMALLINTI AN dat_reminder_prericd_to = CAST(jsnDocumenttMotes- > »'datReminderPreriodTo’ AS DATE) WAL
dat_reminder_prericd_from = CAST{jsnDocumentilotes- > > datReminderPreriodFrom’ AS DATE) Wwi\n vhr_referance_no = CAST(jsnDocumenthlotes- > > strileferenceMo’ AS VARCHAR] V\riln vhr_subject
= CAST{jsnDocumentlotes- > > 'stroubject’” AS VARCHAR]\win arb_fl_reminder_user_ids = STRING_TO_ARRAN{jznDocumenthates- = > ‘strObAr FkReminderUserlds’, *"jzBIGIMNT[]. N rivn int_sys_action_id =
int_sys_action_id + 1.\\fh\n fic_last_modified_user_id = CAST{jsnDocumentMotes-> > binLasthdedifiedUserd” AS BIGINT) i dtmn_last_modified = dtmCurrent '\rAn WHERE pk_document_notes_id =
CAST(jsnDocumentilotes-> > binDocumentMoteld” A5 BIGIMT) Viriin RETURMING pk_document_notes_idy\t “AnPL/pgsqL function sp_insert_or_update_document_notes_bassfjsonk) line 73 at SQL
stat=mentihnSOL statement 'W\"CALL sp_insert_or_update_document_notes_basefjsnDocumentMotes, jsnSpOutResi\ " \nPL/pgSOL fundion sp_insert_or_update_document_notes(jsonb) lins 12 at
CALLY, \VbinSgIP®Y” : 0, VbinSglLogPK\" - 0, % "stregiDocMao\™ : null, V" dctSghOtherDatay” : null)”, “stroglSysExceptionDetail” - ™", “striglSysExceptionHint” : "PL/pgSOL function
sp_ingert_or_update_docurnent_notes_base(jzonb) line 116 at RAISEWNS0OL staterment \"CALL sp_insert_or_update_document_notes_basefienDocumentMotes, jenSpOutRes | nPL/pgS0OL function
sp_insert_or_update_document_notes{jsonb) line 12 at CALL", "binSglPk” : 0, "binSglLogPk™ : 0, “strSgiDocMe” : null, "detSqlCtherData” : {"binDocumentMoteld™: null}

Date* | 03/12/2024 2 O Expiry Date* | ad/MM iy ) Reference Mo
o Show in Document GUI Active
Show Im Users® [ -]
Maone®
Size - Fon bt B I S
Reminder VWia Select. -
= = = = ]
U I T S L N A # Reminder Pericd | dd /MM fyyyy = ad/MM Ay &
) Reminder Uzers [ -]
wesfedgtefrgry

Satus | Mo Status w

Created By:  System Admin (03/12/2024 10:31 AM)
Modified By

B Close B Update

#30 - 12/04/2024 12:15 PM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#31 - 12/05/2024 04:04 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#32 - 12/18/2024 01:18 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1. fixed - Not showing document status while the document status is changed to 'not active (need approval)
2. fixed - Document approved by fields not disappearing when document status changed to another.
3. Sub customer is not showing.

05/03/2025 7/14
#33 - 12/31/2024 10:05 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 01/07/2025 01:12 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

Changes

1. Add redirection to the document and voucher numbers.

#35 - 01/08/2025 06:45 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#36 - 01/15/2025 02:54 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)Ticket/vouchers are not redirecting
2)document number on redirection not loading in corresponding modules

#37 - 01/16/2025 09:42 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#38 - 01/16/2025 10:04 AM - Arathy PS

New Changes

1. In posting tab add an additional column 'outstanding' after credit/debit column

2. In posting tab make linked column before reference.

3. Sub doc no: should show only when the document is sale/refund.
4. In settlement tab show them in account wise grouping.

5. Tab order last three in note, attachment,log

#39 - 01/16/2025 10:04 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#40 - 01/17/2025 09:43 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#41 - 01/24/2025 06:01 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES DONE

1.In the related documents tab show the cheques related documents here when we are loading a document which have a cheque in it.

#42 - 01/28/2025 09:35 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

05/03/2025
#43 - 01/28/2025 10:56 AM - Arathy PS
- File clipboard-202501281030-abrj1.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Document Query

Document No® | P/001 Document Status: ~ Active Posting Status:  Active

General Posting  Note  Log

# Date Party Curre... | Amount ROE Amount ... | Action Date Action

1 28/01/2025 SUPOD1: BSP QAR 100.00 1.00 10000 | 28/01/2025 Created
2 28/01/2025 SUPOD1: BSP QAR 100.00 1.00 10000 | 28/01/2025 Modified
3 28/01/2025 SUPOO1: BSP AED 50,00 1.00 5000 | 28/01/2025 Modified

#44 - 01/29/2025 09:42 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 01/31/2025 02:18 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. No field to show outstanding amount of the document after settlement.
2. Not showing linked documents in the posting tab.

#46 - 02/06/2025 09:43 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#47 - 02/06/2025 06:00 PM - Theja Ponon
- File clipboard-202502061741-bv3wu.png added

ISSUE FIXED

JFIXED - Issue in print of attachment tab

) - Attachment added is not showing

)FIXED - Without entering any document number noteis shoing

W N =

Document Query 209 =~ | Menu> -

Document No* Document Status Posting Status:

» General ~ Sub Document  Posting = Settlement  Supporting Documents Related Documents | Note | Aftachment  Log
Group By No Grouping |+ New Note Y @ 2 O
y & Date Subject Status Reference No Note Created By
por
1 040272025 No Status m Administrator (04/02/2025 0118 4

4)FIXED - Enquiry No is not showing

#48 - 02/06/2025 06:00 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#49 - 02/07/2025 09:54 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#50 - 02/07/2025 09:59 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#51 - 02/10/2025 12:20 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#52 - 02/19/2025 02:56 PM - Arathy PS

- File clipboard-202502191447-r8p2v.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. While searching received cheque deposit document no:

Document Query

21000: more than one row retumned by a subquery used as an expression

Document No™ | RCD/001 Document Status:

General | SubDocument Posting Seftlement  Supporting Documents ~ Related Documents  Note ~ Attachment  Log

Document File No

Document Date Enquiry No

Branch Department

Cash Counter Cost Center

Posting Status Posting Approved By
Document Status Document Approved By
Party Sub Customer
Amount Reference

Marration

Created By Modified By

Delete Rezson Document Action

Responsible User/Employes Document Locked

#53 - 02/19/2025 06:21 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 02/26/2025 01:00 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#55 - 02/27/2025 10:51 AM - Arathy PS
- File clipboard-202502271050-fx7i8.png added

Issue fixed

Posting Status:

1)show documents which are submitted through document submission in supportive document tab on searching document submission doc no

2)Notes not related to the documents are showing in the note tab.

05/03/2025
Travvise

Document Query

Document No™ | AGS/001

Document Status:  Active

Posting Status:  Active

General  Posting ~ Supporting Documents  Note | Log
N N Group By No Grouping v |+ NewNote Y @ 2 I
#  Date Subject status Reference No Note Created By
1 212025 Against sale No Status INV/010-—-AGS/001 Administrator (27/02/2025 10:44 AM) p
2 25/02/2025 DEPOSITED No Status. IN AXIS Administrator (25/02/2025 12:28 PM) ,
3 | esmzre0es deposited No Status INICict Administrator (25/02/2025 12:27 PM) p

#56 - 02/28/2025 09:41 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#57 - 03/07/2025 11:12 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Linked documents in quotation ae not showing while searching.

#58 - 03/10/2025 10:53 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#59 - 03/22/2025 12:35 PM - Arathy PS
- File clipboard-202503221235-Ixflw.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Can't search any document.

u:[rayvise

Document Query

42P01: relation "submission.th]_doc_submission_details™ does not exist

Document No™ | INV/001 Document Status:

General | SubDocument Posting Settlement Supporting Documents ~ Related Documents  Note  Attachment

Document
Document Date
Branch

Cash Counter
Posting Status
Document Status
Party

Amount
Narration
Created By
Delete Reason

Responsible User/Employee:

#60 - 03/22/2025 02:08 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

05/03/2025

Posting Status:

File No
Enquiry No

Department

Cost Center

Posting Approved By
Document Approved By
Sub Customer

Reference
Modified By

Document Action

Document Locked

11/14



#61 - 03/27/2025 01:00 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Not showing the documents that are reconciled while searching using reco document no:
2. Incorrect amount while searching bank reco doc no:

#62 - 03/29/2025 12:24 PM - Arathy PS
- File clipboard-202503291219-qussu.png added
- File clipboard-202503291222-q041p.png added

ISSUE FIXED

1. While searching a deleted document.

z 9 =~ MEnu-Q a1 410

Travvise Document Query

Value was either too large or too small for a Ulnt64,

Document No* | Rv/020 Document Status: Posting Status:

General | SubDocument FPosting  Settlement Supporting Documents ~ Related Documents  Note ~ Attachment  Log

Document File No
Document Date Enquiry No
Department.

Branch

Cash Counter Cost Center
Posting Status Posting Approved By

Document Status Document Approved By

2. Incorrect doc status and posting status.- need to fix from Quotation/Enquiry

#63 - 04/05/2025 09:47 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#64 - 04/07/2025 02:25 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#65 - 04/07/2025 02:35 PM - Arathy PS
- File clipboard-202504071435-sodza.png added

ISSUE FIXED

1. Incorrect document status for collection document.
2. Amount in QAR and RoE is showing for documents which is done in the base currency itself.

05/03/2025

Travvise Document Ouerv
Document No™ | QT/002 Document Status:  Active Posting Status:  Active
General | Related Documents  Log
Document /002 File No
Document Date 20/03/2025 Enquiry No
Branch BROO1: Main Department Account
Cash Counter Cost Center
Posting Status Active Posting Approved By
Document Status Active Document Approved By
Party CUS002: ASHARAF AARIF KHAN Sub Customer
Amount 3500.00 QAR Reference
Narration
Created By Administrator (20-03-2025 12:10:32) Modified By Administrator (20-03-2025 12:13:51) (2)
Delete Reason Document Action Edited
Responsible User/Employee Document Lacked

12/14



Document Query

Document No* | CLN/001 Document Status:  Active Paosting Status:  Active

General Note Log

Document CLN/001 File No

Document Date 07/04/2025 Enquiry No

Branch BROO1: Main Department Account

Cash Counter Cost Center

Posting Status Active Posting Approved By

Document Status Active g);‘)cumant SEENEC

Party CUS002: AARIF IBRAHIM SHAH Sub Customer

Amount 2350.00 QAR Reference Collection Reference

Narration Collection Narration

Created By Administrator (07-04-2025 11:59:15) Modified By Administrator (07-04-2025 14:29:20) (4)

Delete Reason Document Action Edited

Rezmnekin Document Locked

User/Employee

#66 - 04/08/2025 11:40 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#67 - 04/09/2025 03:37 PM - Arathy PS

- File clipboard-202504091058-ijekb.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Amount in QAR and RoE is showing for documents which is done in the base currency itself.

Document Query

Document No® | DN/001 Document Status:  Not Active(Need Approval) Posting Status: Active m
General  Posting ~ Note  Log

Tacoa
# Date Party Currency Amount ROE Amount In (QAR) | [Action Date Action Action User
1 08/04/2025 CUS001:: ASLAM ABDUL KHAN QAR 2000.00 1.00 2000.00 3/04/2025 Created Administrator
2 08/04/2025 CUS007:: ASLAM ABDUL KHAN QAR 2000.00 100 200000 | Ps/04/2025 Modified Administrator
3 08/04/2025 CUS007:: ASLAM ABDUL KHAN QAR 2000.00 100 200000 | ps/04/2025 Modified Administrator
4 08/04/2025 CUS007:: ASLAM ABDUL KHAN QAR 2000.00 100 200000 | P8/04/2025 Modified Administrator
5 08/04/2025 CUS001: ASLAM ABDUL KHAN QAR 2000.00 1.00 200000 | [p8/04/2025 Modified Administrator
6 08/04/2025 CUS001:: ASLAM ABDUL KHAN QAR 2000.00 100 200000 | [8/04/2025 Modified Administrator
7 08/04/2025 CUS001:: ASLAM ABDUL KHAN QAR 2000.00 1.00 200000 | P9/04/2025 Modified Administrator
8 08/04/2025 CUS001:: ASLAM ABDUL KHAN QAR 2000.00 1.00 2000.00 |p9/04/2025 Modified Administrator
9 08/04/2025 CUS001:: ASLAM ABDUL KHAN QAR 2000.00 1.00 2000.00 = p9/04/2025 Modified Administrator
10 08/04/2025 CUS001:: ASLAM ABDUL KHAN QAR 2000.00 1.00 2000.00 p9/04/2025 Modified Administrator
il 08/04/2025 CUS007:: ASLAM ABDUL KHAN QAR 2000.00 100 200000 | po/04/2025 Modified Administrator

#68 - 04/11/2025 02:20 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#69 - 05/02/2025 10:57 AM - Arathy PS
- File clipboard-202505021057-5afhr.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Responsible account label is not showing when we gave a responsible account.
--For each data (responsible employee/ user/ account) only respective label should be showing.

05/03/2025 13/14



Document Query

Document No™ | INV/008

General | Posting  Supporting Documents

Document t INV/008

Document Date 02/05/2025

Branch BROO1:: Main

Cash Counter

Posting Status Active

Document Status Active

Party CUSD03: ANSAAR ASLAM SHAH

Amount 2000.00 QAR

Narration

Created By Administrator (02-05-2025 10:52:02)

Delete Reason

Responsible User/Employee  Tour Control Account
Files

Active

Enquiry No
Department Account it
Cost Center

Posting Approved By

Dacument Approved By

Sub Customer

Reference

Modified By

Decumen t Action Added

clipboard-202411231325-97kdk.png
clipboard-202412031040-n2g4l.png
clipboard-202501281030-abrj1.png
clipboard-202502061741-bv3wu.png
clipboard-202502191447-r8p2v.png
clipboard-202502271050-fx7i8.png
clipboard-202503221235-Ixflw.png
clipboard-202503291219-qussu.png
clipboard-202503291222-q041p.png
clipboard-202504071435-sodza.png
clipboard-202504091058-ijekb.png
clipboard-202505021057-5afhr.png

05/03/2025

92 KB
94.2 KB
94.2 KB
